Network Pipe Manufacturer

    expect-mocha-snapshot

    2.1.5 • Public • Published

    expect-mocha-snapshot

    expect extension to use Jest's toMatchSnapshot in Mocha

    The module uses jest-snapshot under the hood and works as an extension to expect@1.20.x to enable snapshot-testing in mocha.

    See the blog post about snapshot-testing in Mocha here.

    Usage

    const expect = require('expect');
    const toMatchSnapshot = require('expect-mocha-snapshot');
    
    expect.extend({ toMatchSnapshot });
    
    describe('foo', function () {
      it('matches the snapshot', function () {
        expect({ foo: 'bar' }).toMatchSnapshot(this);
      });
    });

    To create the snapshot or test the code against the created snapshots, just run mocha like you normally would.

    mocha

    If your tests are failing and you want to update the snapshot, use the environment variable SNAPSHOT_UPDATE.

    SNAPSHOT_UPDATE=true mocha

    Compatibility

    Compatibility with expect and jest-snapshot is a moving target. The 2.x has been tested with "expect": "^26.1.0", "jest-snapshot": "^26.1.0" and "mocha": "^8.0.1"

    For lower versions of jest-snapshot and expect stick to 1.x release.

    License

    MIT

    Keywords

    none

    Install

    npm i expect-mocha-snapshot

    DownloadsWeekly Downloads

    662

    Version

    2.1.5

    License

    none

    Unpacked Size

    5.05 kB

    Total Files

    5

    Last publish

    Collaborators

    • alexanderbeletsky
    • vendura
    • anton-syrovatka
    • simon.staib
    • gabriel-r
    • pewlowz
    • eneax
    • cangoektas